jif.types.label

## Class JoinIntegPolicy_c

- java.lang.Object
- - polyglot.types.TypeObject_c
  - - jif.types.label.Policy_c
    - - jif.types.label.JoinPolicy_c<IntegPolicy>
      - - jif.types.label.JoinIntegPolicy_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, IntegPolicy, JoinPolicy<IntegPolicy>, Policy, polyglot.types.TypeObject, polyglot.util.Copy<polyglot.types.TypeObject>

      public class JoinIntegPolicy_c
      extends JoinPolicy_c<IntegPolicy>
      implements IntegPolicy

  Represents the join of a number of integrity policies.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.types.TypeObject_c

      `position, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinIntegPolicy_c(java.util.Set<IntegPolicy> components, JifTypeSystem ts, polyglot.util.Position pos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Policy` | `constructJoinPolicy(java.util.Set<IntegPolicy> components, polyglot.util.Position pos)`
    `boolean` | `isBottomIntegrity()`
    `boolean` | `isTopIntegrity()`
    `IntegPolicy` | `join(IntegPolicy p)`
    `boolean` | `leq_(IntegPolicy p, LabelEnv env, LabelEnv.SearchState state)`
    `IntegPolicy` | `meet(IntegPolicy p)`

    - ### Methods inherited from class jif.types.label.JoinPolicy_c

      `equalsImpl, hashCode, hasVariables, hasWritersToReaders, isBottom, isCanonical, isRuntimeRepresentable, isSingleton, isTop, joinComponents, labelCheck, leq_, simplifyImpl, subst, throwTypes, toString, updateContextForComp`

    - ### Methods inherited from class jif.types.label.Policy_c

      `copy, simplify, toString`

    - ### Methods inherited from class polyglot.types.TypeObject_c

      `equals, position, typeSystem`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jif.types.label.Policy

      `hasVariables, hasWritersToReaders, isBottom, isCanonical, isRuntimeRepresentable, isSingleton, isTop, labelCheck, simplify, subst, throwTypes, toString`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, position, typeSystem`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### JoinIntegPolicy_c

          public JoinIntegPolicy_c(java.util.Set<IntegPolicy> components,
                                   JifTypeSystem ts,
                                   polyglot.util.Position pos)

  - ### Method Detail

    - #### constructJoinPolicy

          protected Policy constructJoinPolicy(java.util.Set<IntegPolicy> components,
                                               polyglot.util.Position pos)

      Specified by:
        `constructJoinPolicy` in class `JoinPolicy_c<IntegPolicy>`

    - #### isBottomIntegrity

          public boolean isBottomIntegrity()

      Specified by:
        `isBottomIntegrity` in interface `IntegPolicy`

    - #### isTopIntegrity

          public boolean isTopIntegrity()

      Specified by:
        `isTopIntegrity` in interface `IntegPolicy`

    - #### leq_

          public boolean leq_(IntegPolicy p,
                              LabelEnv env,
                              LabelEnv.SearchState state)

      Specified by:
        `leq_` in interface `IntegPolicy`

    - #### meet

          public IntegPolicy meet(IntegPolicy p)

      Specified by:
        `meet` in interface `IntegPolicy`

    - #### join

          public IntegPolicy join(IntegPolicy p)

      Specified by:
        `join` in interface `IntegPolicy`